PowerPoint1ParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PowerPoint1ParserInternal::State Struct Reference

Internal: the state of a PowerPoint1Parser. More...

## Public Member Functions
| State ()
| constructor More...
MWAWEntry const & | getZoneEntry (int id) const
| try to return a zone More...
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pattern) const
| try to return a pattern More...

## Public Attributes
bool | m_isMacFile
| flag to know if the file is a mac file or a pc file More...
float | m_unit
| the data unit: 1 if the file is a mac file, 1/8 if the file is a windows file More...
long | m_zoneListBegin
| the begin position of the list of zones More...
std::vector< MWAWEntry > | m_zonesList
| the list of zone entries More...
MWAWVec2i | m_origin
| the origin More...
std::vector< Ruler > | m_rulersList
| the ruler More...
std::map< int, Slide > | m_idToSlideMap
| a map between zoneId and slide More...
std::map< int, Scheme > | m_idToSchemeMap
| a map between schemeId and scheme More...
std::map< int, MWAWColor > | m_idToUserColorMap
| a map between colorId and user color map More...
std::vector< int > | m_slidesIdList [2]
| the list of slides ids: 0 (master, slide 1, slide 2, ...), 1 (handout slide) More...
std::vector< int > | m_picturesIdList
| the list of pictures id More...
std::vector< int > | m_schemesIdList
| the list of scheme id More...
int | m_slideIds [2]
| the slide id More...
int | m_printInfoIds [2]
| the printInfo id More...
int | m_zoneIds [10]
| the sequential zones id: picture list, ... More...
MWAWEntry | m_badEntry
| an entry used by getZoneEntry if it does not find the zone More...

## Detailed Description

Internal: the state of a PowerPoint1Parser.

## Constructor & Destructor Documentation

## ◆ State()

PowerPoint1ParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPattern()

bool PowerPoint1ParserInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pattern
| ) |  | const

try to return a pattern

## ◆ getZoneEntry()

MWAWEntry const& PowerPoint1ParserInternal::State::getZoneEntry | ( | int | id | ) | const
| inline

try to return a zone

## Member Data Documentation

## ◆ m_badEntry

MWAWEntry PowerPoint1ParserInternal::State::m_badEntry

an entry used by getZoneEntry if it does not find the zone

## ◆ m_idToSchemeMap

std::map<int,Scheme> PowerPoint1ParserInternal::State::m_idToSchemeMap

a map between schemeId and scheme

## ◆ m_idToSlideMap

std::map<int,Slide> PowerPoint1ParserInternal::State::m_idToSlideMap

a map between zoneId and slide

## ◆ m_idToUserColorMap

std::map<int,MWAWColor> PowerPoint1ParserInternal::State::m_idToUserColorMap

a map between colorId and user color map

## ◆ m_isMacFile

bool PowerPoint1ParserInternal::State::m_isMacFile

flag to know if the file is a mac file or a pc file

## ◆ m_origin

MWAWVec2i PowerPoint1ParserInternal::State::m_origin

the origin

## ◆ m_picturesIdList

std::vector<int> PowerPoint1ParserInternal::State::m_picturesIdList

the list of pictures id

## ◆ m_printInfoIds

int PowerPoint1ParserInternal::State::m_printInfoIds[2]

the printInfo id

## ◆ m_rulersList

std::vector<Ruler> PowerPoint1ParserInternal::State::m_rulersList

the ruler

## ◆ m_schemesIdList

std::vector<int> PowerPoint1ParserInternal::State::m_schemesIdList

the list of scheme id

## ◆ m_slideIds

int PowerPoint1ParserInternal::State::m_slideIds[2]

the slide id

## ◆ m_slidesIdList

std::vector<int> PowerPoint1ParserInternal::State::m_slidesIdList[2]

the list of slides ids: 0 (master, slide 1, slide 2, ...), 1 (handout slide)

## ◆ m_unit

float PowerPoint1ParserInternal::State::m_unit

the data unit: 1 if the file is a mac file, 1/8 if the file is a windows file

## ◆ m_zoneIds

int PowerPoint1ParserInternal::State::m_zoneIds[10]

the sequential zones id: picture list, ...

## ◆ m_zoneListBegin

long PowerPoint1ParserInternal::State::m_zoneListBegin

the begin position of the list of zones

## ◆ m_zonesList

std::vector<MWAWEntry> PowerPoint1ParserInternal::State::m_zonesList

the list of zone entries

The documentation for this struct was generated from the following file:

- PowerPoint1Parser.cxx